TyrexTransactionFactory (Catalina Internal API Documentation)
Keywords: org.apache.naming.factory.TyrexTransactionFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory
Class TyrexTransactionFactory

    java.lang.Object
      org.apache.naming.factory.TyrexFactory
          org.apache.naming.factory.TyrexTransactionFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class TyrexTransactionFactory
extends TyrexFactory

Object factory for Tyrex User transactions.
Tyrex is an open-source transaction manager, developed by Assaf Arkin and exolab.org. See the Tyrex homepage for more details about Tyrex and downloads.

Version:
  $Revision: 289084 $ $Date: 2005-02-04 17:08:03 -0500 (Fri, 04 Feb 2005) $
Author:
  David Haraburda, Remy Maucherat

Constructor Summary
`TyrexTransactionFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Crete a new UserTransaction.

Methods inherited from class org.apache.naming.factory.TyrexFactory
`getTransactionDomain`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TyrexTransactionFactory

    public TyrexTransactionFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws javax.naming.NamingException

  Crete a new UserTransaction.

  Parameters:
    `obj` - The reference object
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.